activemq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chir...@apache.org
Subject svn commit: r1124729 - /activemq/activemq-apollo/trunk/apollo-cli/src/main/resources/org/apache/activemq/apollo/cli/commands/bin/apollo-broker-service
Date Thu, 19 May 2011 13:03:45 GMT
Author: chirino
Date: Thu May 19 13:03:45 2011
New Revision: 1124729

URL: http://svn.apache.org/viewvc?rev=1124729&view=rev
Log:
Applying Lionel Cons's cleanup patch.  Thanks!

Modified:
    activemq/activemq-apollo/trunk/apollo-cli/src/main/resources/org/apache/activemq/apollo/cli/commands/bin/apollo-broker-service

Modified: activemq/activemq-apollo/trunk/apollo-cli/src/main/resources/org/apache/activemq/apollo/cli/commands/bin/apollo-broker-service
URL: http://svn.apache.org/viewvc/activemq/activemq-apollo/trunk/apollo-cli/src/main/resources/org/apache/activemq/apollo/cli/commands/bin/apollo-broker-service?rev=1124729&r1=1124728&r2=1124729&view=diff
==============================================================================
--- activemq/activemq-apollo/trunk/apollo-cli/src/main/resources/org/apache/activemq/apollo/cli/commands/bin/apollo-broker-service
(original)
+++ activemq/activemq-apollo/trunk/apollo-cli/src/main/resources/org/apache/activemq/apollo/cli/commands/bin/apollo-broker-service
Thu May 19 13:03:45 2011
@@ -65,7 +65,7 @@ status() {
     if [ $? -eq 0 ] ; then
       return 1
     else
-      rm ${PID_FILE}
+      rm "${PID_FILE}"
     fi
   fi
   return 0
@@ -83,7 +83,7 @@ stop() {
     fi
     sleep 1
   done
-  echo Could not stop process ${pid}
+  echo "Could not stop process ${pid}"
   return 1
 }
 
@@ -95,7 +95,7 @@ start() {
     return 1
   fi
 
-  if [ -z "$APOLLO_USER" -o `id -un` == "$APOLLO_USER" ] ; then
+  if [ -z "$APOLLO_USER" -o `id -un` = "$APOLLO_USER" ] ; then
     nohup ${APOLLO_BASE}/bin/apollo-broker run > /dev/null 2> /dev/null &
   else
     sudo -n -u ${APOLLO_USER} nohup ${APOLLO_BASE}/bin/apollo-broker run > /dev/null 2>
/dev/null &
@@ -110,6 +110,7 @@ start() {
     echo "Could not start ${service}"
     return 1
   fi
+  echo "${service} is now running (${pid})"
   return 0
 }
 
@@ -144,7 +145,7 @@ case $1 in
     if [ $? -eq 0 ] ; then
       echo "${service} is stopped"
     else
-      echo  "${service} is running"
+      echo "${service} is running (${pid})"
     fi
     exit 0
   ;;
@@ -152,4 +153,5 @@ case $1 in
   *)
     echo "Usage: $0 {start|stop|restart|force-stop|status}" >&2
     exit 2
+  ;;
 esac
\ No newline at end of file



Mime
View raw message